function d = mydet2(A)
	% d = mydet2(A)
	% Calcola d = det(A) con eliminazione Gaussiana

	n = size(A, 1);
	sgn = 1;	% tiene traccia del cambio di segno per scambi di riga
	for i = 1:n
		% if ( A(i, i) == 0 ) 
		% 	error('ho incontrato un pivot nullo');
		% end
		% Scambio righe se incontro un pivot "piccolo":
		if ( abs(A(i, i)) < 1e-8 )
			% cerco l'elemento con massimo modulo nella colonna i-esima
			[~, idx] = max(abs(A(i:end, i)));	% la ~ serve per scartare gli output non necessari
			% idx è l'indice del massimo, relativo alla porzione di colonna i:end
			idx = idx + i - 1;
			% scambio righe per mettere l'elemento più grande sulla diagonale
			A([i, idx], :) = A([idx, i], :);
			if ( mod(i - idx, 2) == 1 ) 
				sgn = -sgn;
			end
		end
		% Elimino la colonna successiva di A: 
		A = A - [zeros(i, 1); A(i+1:end, i)] * [zeros(1, i-1), A(i, i:end)]./A(i, i);
	end	
	% Calcolo il determinante: 
	d = sgn * prod(diag(A));
end

