function plottimes2();
	% plottimes2 disegna un grafico con i tempi di calcolo per det(V)
	% V è una matrice di Vandermonde di dimensione fino a 200
	% Confronto tra:	det di MATLAB
	% 					mydet
	% 					mydet2
	n = 400;
	t0 = zeros(n, 1); % tempi per det
	t1 = zeros(8, 1); % tempi per mydet
	t2 = zeros(n, 1); % tempi per mydet2
	for i = 1:n
		i
		A = vander(1:i);
		% det:
		tic;
		d0 = det(A);
		t0(i) = toc;
		% mydet: 
		if i <= 8	% troppo lento per dimensioni maggiori
			tic;
			d1 = mydet(A);
			t1(i) = toc;
		end
		% mydet2:
		tic;
		d2 = mydet2(A);
		t2(i) = toc;
	end
	figure;		% crea una nuova figura
	% Disegno grafici con scala logaritmica su asse x e asse y: 
	loglog([1:n], t0, 'y');	hold on;
	loglog([1:8], t1(1:8), 'b');
	loglog([1:n], t2, 'r');
	loglog([1:n], [1:n].^3, '--k');
	legend('det', 'mydet', 'mydet2', 'y = n^3') % legenda
end